import React, { useState, useEffect } from 'react';
import { ProDescriptions } from '@ant-design/pro-components';
import { Divider } from 'antd';
import { doFetch } from '@/utils/doFetch';

export default (props) => {
  const { detailpath, params } = props;

  const request = async () => {
    const res = await doFetch({ url: detailpath, params });
    console.log(res);
    return {
      success: true,
      data: { id: '这是一段文本', date: '20200730', money: '12121' },
    };
  };
  return (
    <>
      <div>
        <h3>单号</h3>
      </div>
      <ProDescriptions request={request} />
      <Divider />
    </>
  );
};
